/*
  Structures for generic tests.
*/

#include <xmlrow.h>

typedef enum {
  XMLROW_SUCCESS,
  XMLROW_FAILURE,
} xmlrow_return;

typedef struct collection_st collection_st;
typedef struct test_st test_st;

struct test_st {
  char *name;
  unsigned int requires_flush;
  xmlrow_return (*function)(void *);
};

struct collection_st {
  char *name;
  xmlrow_return (*pre)(void *);
  xmlrow_return (*post)(void *);
  test_st *tests;
};

/* How we make all of this work :) */
collection_st *gets_collections(void);
